Use the select query parameter to specify which fields to include.
The chat ID.
The participant ID.
Optional RQL select statement to filter fields.
OK
Flag indicates whether participant should be notified of new messages in the chat.
Content of the chat message.
Set to true when the message should be considered deleted
The count of messages in the chat not read by this participant.
Forbidden
Not Found
GET /public/v1/helpdesk/chats/{chatId}/participants/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"exited": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"reactivated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"revision": 1,
"chat": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Direct"
},
"contact": {
"id": "text",
"revision": 1,
"name": "text",
"email": "text",
"identity": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
}
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1
},
"user": {
"id": "text",
"audit": {
"created": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"updated": {
"at": "2026-01-01T00:00:00.000Z",
"by": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
}
},
"invitationAcceptedAt": "2026-01-01T00:00:00.000Z"
},
"$meta": {
"omitted": [
"text"
]
},
"name": "text",
"icon": "text",
"revision": 1,
"email": "text",
"status": "text",
"phone": {
"prefix": "text",
"number": "text"
},
"firstName": "text",
"lastName": "text",
"lastLoginAt": "2026-01-01T00:00:00.000Z",
"settings": {
"cultureCode": "text",
"dateFormat": "text",
"languageCode": "text",
"numberFormat": {
"decimalSeparator": "text",
"groupSeparator": "text"
},
"timeFormat": "text",
"timeZone": "text",
"optOuts": {
"objectTypes": [
"text"
]
}
},
"accounts": [
{
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
],
"currentAccount": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
}
}
},
"identity": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1
},
"account": {
"id": "text",
"name": "text",
"icon": "text",
"revision": 1,
"type": "Client",
"status": "Active"
},
"muted": true,
"status": "Active",
"lastReadMessage": {
"id": "text",
"revision": 1,
"content": "text",
"visibility": "Public",
"isDeleted": true
},
"unreadMessageCount": 1
}